(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23842,        782]
NotebookOptionsPosition[     21883,        710]
NotebookOutlinePosition[     22236,        726]
CellTagsIndexPosition[     22193,        723]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"s", "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", "N", "]"}], 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"Sqrt", "[", "N", "]"}]}], ")"}], "^", 
     RowBox[{"(", 
      FractionBox[
       RowBox[{"p", "-", "3"}], 
       RowBox[{"7", "-", "p"}]], ")"}]}], 
    RowBox[{
     RowBox[{"(", 
      FractionBox[
       RowBox[{
        RowBox[{"2", "^", 
         RowBox[{"(", 
          RowBox[{"43", "-", 
           RowBox[{"7", " ", "p"}]}], ")"}]}], 
        RowBox[{"\[Pi]", "^", 
         RowBox[{"(", 
          RowBox[{"13", "-", 
           RowBox[{"3", "p"}]}], ")"}]}], 
        RowBox[{
         RowBox[{"Gamma", "[", 
          FractionBox[
           RowBox[{"9", "-", "p"}], "2"], "]"}], "^", "2"}]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"7", "-", "p"}], ")"}], "^", 
          RowBox[{"(", 
           RowBox[{"7", "-", "p"}], ")"}]}], ")"}], 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"9", "-", "p"}], ")"}], "^", 
          RowBox[{"(", 
           RowBox[{"9", "-", "p"}], ")"}]}], ")"}]}]], ")"}], "^", 
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"2", 
         RowBox[{"(", 
          RowBox[{"7", "-", "p"}], ")"}]}], ")"}]}], ")"}]}], 
    RowBox[{"\[Epsilon]", "^", 
     RowBox[{"(", 
      FractionBox[
       RowBox[{"9", "-", "p"}], 
       RowBox[{"2", 
        RowBox[{"(", 
         RowBox[{"7", "-", "p"}], ")"}]}]], ")"}]}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.572363563735168*^9, 3.572363687381797*^9}, {
  3.5723638791843977`*^9, 3.5723638797522497`*^9}, {3.572366112111438*^9, 
  3.57236613776607*^9}, {3.572366170822287*^9, 3.57236617095721*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq", "=", 
  RowBox[{"(", 
   RowBox[{"T", "==", 
    RowBox[{"1", "/", 
     RowBox[{"D", "[", 
      RowBox[{"s", ",", "\[Epsilon]"}], "]"}]}]}], ")"}]}]], "Input",
 CellChangeTimes->{{3.572363690189228*^9, 3.572363703222837*^9}, {
  3.5723637335203447`*^9, 3.572363737791933*^9}}],

Cell[BoxData[
 RowBox[{"T", "\[Equal]", 
  FractionBox[
   RowBox[{"2", " ", 
    SuperscriptBox["N", 
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "3"}], "+", "p"}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"7", "-", "p"}], ")"}]}]]}]], " ", 
    RowBox[{"(", 
     RowBox[{"7", "-", "p"}], ")"}], " ", 
    SuperscriptBox["\[Epsilon]", 
     RowBox[{"1", "-", 
      FractionBox[
       RowBox[{"9", "-", "p"}], 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"7", "-", "p"}], ")"}]}]]}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["2", 
        RowBox[{"43", "-", 
         RowBox[{"7", " ", "p"}]}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"7", "-", "p"}], ")"}], 
        RowBox[{
         RowBox[{"-", "7"}], "+", "p"}]], " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"9", "-", "p"}], ")"}], 
        RowBox[{
         RowBox[{"-", "9"}], "+", "p"}]], " ", 
       SuperscriptBox["\[Pi]", 
        RowBox[{"13", "-", 
         RowBox[{"3", " ", "p"}]}]], " ", 
       SuperscriptBox[
        RowBox[{"Gamma", "[", 
         FractionBox[
          RowBox[{"9", "-", "p"}], "2"], "]"}], "2"]}], ")"}], 
     RowBox[{"-", 
      FractionBox["1", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"7", "-", "p"}], ")"}]}]]}]]}], 
   RowBox[{"9", "-", "p"}]]}]], "Output",
 CellChangeTimes->{{3.5723637128228273`*^9, 3.572363738376742*^9}, 
   3.572363882070952*^9, 3.572366139952998*^9, 3.5723661720796423`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"sol", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Solve", "[", 
     RowBox[{"eq", ",", "\[Epsilon]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.572363739989665*^9, 3.5723637686595507`*^9}, {
  3.5723638496328278`*^9, 3.572363852288796*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ifun"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Inverse functions are being used by \
\[NoBreak]\\!\\(Solve\\)\[NoBreak], so some solutions may not be found; use \
Reduce for complete solution information. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/Solve/ifun\\\", ButtonNote -> \
\\\"Solve::ifun\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.572363744181345*^9, 3.572363769335226*^9}, 
   3.57236385276733*^9, 3.5723638834460287`*^9, {3.57236614511448*^9, 
   3.572366173301073*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\[Epsilon]", "\[Rule]", 
   RowBox[{
    SuperscriptBox["2", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "7"}], "+", "p"}], ")"}]}], 
       RowBox[{
        RowBox[{"-", "5"}], "+", "p"}]]}]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox[
       RowBox[{
        SuperscriptBox["N", 
         FractionBox[
          RowBox[{"5", "-", "p"}], 
          RowBox[{
           RowBox[{"-", "7"}], "+", "p"}]]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "7"}], "+", "p"}], ")"}], " ", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["2", 
            RowBox[{"43", "-", 
             RowBox[{"7", " ", "p"}]}]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"7", "-", "p"}], ")"}], 
            RowBox[{
             RowBox[{"-", "7"}], "+", "p"}]], " ", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"9", "-", "p"}], ")"}], 
            RowBox[{
             RowBox[{"-", "9"}], "+", "p"}]], " ", 
           SuperscriptBox["\[Pi]", 
            RowBox[{"13", "-", 
             RowBox[{"3", " ", "p"}]}]], " ", 
           SuperscriptBox[
            RowBox[{"Gamma", "[", 
             RowBox[{
              FractionBox["9", "2"], "-", 
              FractionBox["p", "2"]}], "]"}], "2"]}], ")"}], 
         FractionBox["1", 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "7"}], "+", "p"}], ")"}]}]]]}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "9"}], "+", "p"}], ")"}], " ", "T"}]], ")"}], 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "7"}], "+", "p"}], ")"}]}], 
       RowBox[{
        RowBox[{"-", "5"}], "+", "p"}]]}]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.572363744184827*^9, 3.572363769338101*^9}, 
   3.572363852770097*^9, 3.57236388363658*^9, {3.5723661452504997`*^9, 
   3.572366173499835*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"PowerExpand", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"PowerExpand", "[", 
     RowBox[{"\[Epsilon]", "/.", "sol"}], "]"}], "]"}], "]"}], "]"}]], "Input",\

 CellChangeTimes->{{3.572363930183123*^9, 3.572363963722005*^9}, {
  3.5723655955425997`*^9, 3.5723656062693853`*^9}}],

Cell[BoxData[
 RowBox[{
  SuperscriptBox["2", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "29"}], "+", 
     RowBox[{"5", " ", "p"}]}], 
    RowBox[{
     RowBox[{"-", "5"}], "+", "p"}]]], " ", 
  SuperscriptBox["N", "2"], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"7", "-", "p"}], ")"}], 
   FractionBox[
    RowBox[{"7", "-", "p"}], 
    RowBox[{
     RowBox[{"-", "5"}], "+", "p"}]]], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"9", "-", "p"}], ")"}], 
   FractionBox[
    RowBox[{"9", "-", "p"}], 
    RowBox[{
     RowBox[{"-", "5"}], "+", "p"}]]], " ", 
  SuperscriptBox[
   RowBox[{"(", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "9"}], "+", "p"}], 
     RowBox[{
      RowBox[{"-", "7"}], "+", "p"}]], ")"}], 
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "7"}], "+", "p"}], ")"}]}], 
    RowBox[{
     RowBox[{"-", "5"}], "+", "p"}]]], " ", 
  SuperscriptBox["\[Pi]", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "13"}], "+", 
     RowBox[{"3", " ", "p"}]}], 
    RowBox[{
     RowBox[{"-", "5"}], "+", "p"}]]], " ", 
  SuperscriptBox["T", 
   FractionBox[
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "7"}], "+", "p"}], ")"}]}], 
    RowBox[{
     RowBox[{"-", "5"}], "+", "p"}]]], " ", 
  SuperscriptBox[
   RowBox[{"Gamma", "[", 
    RowBox[{
     FractionBox["9", "2"], "-", 
     FractionBox["p", "2"]}], "]"}], 
   RowBox[{"-", 
    FractionBox["2", 
     RowBox[{
      RowBox[{"-", "5"}], "+", "p"}]]}]]}]], "Output",
 CellChangeTimes->{{3.572363933429716*^9, 3.5723639642772017`*^9}, {
  3.5723655992437477`*^9, 3.572365606692505*^9}, {3.572366147636047*^9, 
  3.572366175014982*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"PowerExpand", "[", 
   RowBox[{
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"7", "-", "p"}], ")"}], 
     FractionBox[
      RowBox[{"7", "-", "p"}], 
      RowBox[{
       RowBox[{"-", "5"}], "+", "p"}]]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"9", "-", "p"}], ")"}], 
     FractionBox[
      RowBox[{"9", "-", "p"}], 
      RowBox[{
       RowBox[{"-", "5"}], "+", "p"}]]], " ", 
    SuperscriptBox[
     RowBox[{"(", 
      FractionBox[
       RowBox[{"9", "-", "p"}], 
       RowBox[{"7", "-", "p"}]], ")"}], 
     FractionBox[
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "7"}], "+", "p"}], ")"}]}], 
      RowBox[{
       RowBox[{"-", "5"}], "+", "p"}]]]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.572365615630721*^9, 3.572365632893796*^9}}],

Cell[BoxData[
 RowBox[{
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"7", "-", "p"}], ")"}], 
   RowBox[{"-", 
    FractionBox[
     RowBox[{"3", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "7"}], "+", "p"}], ")"}]}], 
     RowBox[{
      RowBox[{"-", "5"}], "+", "p"}]]}]], " ", 
  RowBox[{"(", 
   RowBox[{"9", "-", "p"}], ")"}]}]], "Output",
 CellChangeTimes->{{3.572365617857087*^9, 3.572365633435705*^9}, 
   3.5723661819960012`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PowerExpand", "[", 
  RowBox[{"N", "[", 
   RowBox[{"sol", "/.", 
    RowBox[{"{", 
     RowBox[{"p", "\[Rule]", "0"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5723638535243797`*^9, 3.572363872295619*^9}, {
  3.57236618623024*^9, 3.572366191862048*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"\[Epsilon]", "\[Rule]", 
   RowBox[{"7.407166148768205`", " ", 
    SuperscriptBox["N", "2"], " ", 
    SuperscriptBox["T", 
     RowBox[{"14", "/", "5"}]]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5723638564831333`*^9, 3.572363885054578*^9}, {
  3.572366182664295*^9, 3.572366192216002*^9}}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", "T", "]"}]], "Input",
 CellChangeTimes->{{3.572363728847527*^9, 3.5723637305361032`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"Simplify", "[", 
   RowBox[{"PowerExpand", "[", 
    RowBox[{
     RowBox[{"\[Lambda]", "^", 
      RowBox[{"(", 
       FractionBox[
        RowBox[{"1", "+", "p"}], 
        RowBox[{"3", "-", "p"}]], ")"}]}], 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"U", " ", 
        RowBox[{"\[Lambda]", "^", 
         RowBox[{"(", 
          FractionBox[
           RowBox[{"-", "1"}], 
           RowBox[{"3", "-", "p"}]], ")"}]}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"7", "-", "p"}], ")"}]}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.572364598053638*^9, 3.572364618975822*^9}, {
  3.572364650571271*^9, 3.5723646882828007`*^9}, {3.5723647208658867`*^9, 
  3.57236472962436*^9}}],

Cell[BoxData[
 FractionBox[
  SuperscriptBox["U", 
   RowBox[{"7", "-", "p"}]], 
  SuperscriptBox["\[Lambda]", "2"]]], "Output",
 CellChangeTimes->{{3.572364670909793*^9, 3.5723646896305*^9}, 
   3.57236473013094*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"PowerExpand", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"N", "^", "2"}], " ", 
        SuperscriptBox["T", 
         FractionBox[
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "7"}], "+", "p"}], ")"}]}], 
          RowBox[{
           RowBox[{"-", "5"}], "+", "p"}]]]}], "\[Equal]", 
       RowBox[{
        RowBox[{"N", "^", "2"}], 
        RowBox[{"U0", "^", 
         RowBox[{"(", 
          RowBox[{"7", "-", "p"}], ")"}]}]}]}], ",", "T"}], "]"}], "]"}], 
   "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.572365122982339*^9, 3.57236514962138*^9}, {
  3.5723663912040253`*^9, 3.572366391811182*^9}, {3.5723664447936583`*^9, 
  3.572366445304503*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Solve", "::", "ifun"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Inverse functions are being used by \
\[NoBreak]\\!\\(Solve\\)\[NoBreak], so some solutions may not be found; use \
Reduce for complete solution information. \\!\\(\\*ButtonBox[\\\"\
\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/Solve/ifun\\\", ButtonNote -> \
\\\"Solve::ifun\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{{3.572365134255419*^9, 3.5723651500520887`*^9}, {
   3.572366379531438*^9, 3.572366394227449*^9}, 3.57236644608992*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"T", "\[Rule]", 
    SuperscriptBox["U0", 
     RowBox[{
      FractionBox["5", "2"], "-", 
      FractionBox["p", "2"]}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.572365134256199*^9, 3.572365150053701*^9}, {
   3.5723663795329103`*^9, 3.572366394275016*^9}, 3.5723664460914307`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"Gamma", "[", 
    FractionBox[
     RowBox[{"7", "-", "p"}], "2"], "]"}], 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"4", "\[Pi]"}], ")"}], "^", 
    RowBox[{"(", 
     FractionBox[
      RowBox[{"1", "+", "p"}], "2"], ")"}]}]], "/.", 
  RowBox[{"{", 
   RowBox[{"p", "\[Rule]", "0"}], "}"}]}]], "Input",
 CellChangeTimes->{{3.572371681894465*^9, 3.572371712519862*^9}}],

Cell[BoxData[
 FractionBox["15", "16"]], "Output",
 CellChangeTimes->{3.5723717129330378`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"1", "+", 
   FractionBox["4", 
    RowBox[{"3", "-", "p"}]]}], "]"}]], "Input",
 CellChangeTimes->{{3.5725024971445017`*^9, 3.572502506531314*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "7"}], "+", "p"}], 
  RowBox[{
   RowBox[{"-", "3"}], "+", "p"}]]], "Output",
 CellChangeTimes->{3.5725025070167303`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Integrate", "[", 
  RowBox[{
   RowBox[{
    FractionBox["1", "\[Sigma]"], 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{"-", "\[Lambda]"}], " ", "\[Sigma]"}], "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Sigma]", ",", "\[Epsilon]", ",", "\[Infinity]"}], "}"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.57258612118953*^9, 3.5725861345044813`*^9}, {
  3.572590138922093*^9, 3.572590140328809*^9}, {3.57259055854331*^9, 
  3.5725905761097727`*^9}, {3.572592280814849*^9, 3.572592281198586*^9}}],

Cell[BoxData[
 RowBox[{"ConditionalExpression", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Gamma", "[", 
     RowBox[{"0", ",", 
      RowBox[{"\[Epsilon]", " ", "\[Lambda]"}]}], "]"}], "-", 
    RowBox[{"Log", "[", "\[Lambda]", "]"}], "+", 
    RowBox[{"Log", "[", 
     RowBox[{"\[Epsilon]", " ", "\[Lambda]"}], "]"}]}], ",", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"\[Epsilon]", ">", "0"}], "||", 
      RowBox[{"\[Epsilon]", "\[NotElement]", "Reals"}]}], ")"}], "&&", 
    RowBox[{
     RowBox[{"Re", "[", "\[Lambda]", "]"}], ">", "0"}]}]}], "]"}]], "Output",
 CellChangeTimes->{{3.572590135324718*^9, 3.572590140806509*^9}, {
   3.572590568396612*^9, 3.572590577734561*^9}, 3.572592283196371*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"Gamma", "[", 
    RowBox[{"0", ",", 
     RowBox[{"\[Lambda]", " ", "\[Epsilon]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Epsilon]", ",", "0", ",", "0"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.572590589512149*^9, 3.5725905897198467`*^9}, {
  3.572592064581563*^9, 3.572592073812847*^9}, {3.572592292159013*^9, 
  3.572592292533873*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "\[ImaginaryI]"}], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", "\[Pi]", " ", 
     RowBox[{"Floor", "[", 
      FractionBox[
       RowBox[{"\[Pi]", "-", 
        RowBox[{"Arg", "[", "\[Epsilon]", "]"}], "-", 
        RowBox[{"Arg", "[", "\[Lambda]", "]"}]}], 
       RowBox[{"2", " ", "\[Pi]"}]], "]"}]}], "+", 
    RowBox[{"(", 
     InterpretationBox[
      RowBox[{
       RowBox[{"-", 
        RowBox[{"\[ImaginaryI]", " ", 
         RowBox[{"(", 
          RowBox[{"EulerGamma", "+", 
           RowBox[{"Log", "[", "\[Epsilon]", "]"}], "+", 
           RowBox[{"Log", "[", "\[Lambda]", "]"}]}], ")"}]}]}], "+", 
       InterpretationBox[
        SuperscriptBox[
         RowBox[{"O", "[", "\[Epsilon]", "]"}], "1"],
        SeriesData[$CellContext`\[Epsilon], 0, {}, 0, 1, 1],
        Editable->False]}],
      SeriesData[$CellContext`\[Epsilon], 0, {
       Complex[0, -1] (EulerGamma + Log[$CellContext`\[Epsilon]] + 
         Log[$CellContext`\[Lambda]])}, 0, 1, 1],
      Editable->False], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.5725905882380877`*^9, 3.5725905901876698`*^9}, {
   3.572592074226149*^9, 3.572592077249489*^9}, 3.572592293077241*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", "EulerGamma", "]"}]], "Input",
 CellChangeTimes->{{3.57259208892878*^9, 3.5725920895330143`*^9}}],

Cell[BoxData["0.5772156649015329`"], "Output",
 CellChangeTimes->{3.572592089932995*^9, 3.5725923006714687`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"\[Lambda]val", "=", "0.423589032"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Epsilon]val", "=", 
    RowBox[{"10.", "^", 
     RowBox[{"-", "11"}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NIntegrate", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      FractionBox["1", "\[Sigma]"], 
      RowBox[{"Exp", "[", 
       RowBox[{
        RowBox[{"-", "\[Lambda]"}], " ", "\[Sigma]"}], "]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{"\[Lambda]", "\[Rule]", "\[Lambda]val"}], "}"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Sigma]", ",", "\[Epsilon]val", ",", "\[Infinity]"}], "}"}]}], 
   "]"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Log", "[", "\[Epsilon]", "]"}]}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[Epsilon]", "\[Rule]", "\[Epsilon]val"}], "}"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"-", 
     RowBox[{"Log", "[", "\[Epsilon]", "]"}]}], "-", "EulerGamma"}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[Epsilon]", "\[Rule]", "\[Epsilon]val"}], "}"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    RowBox[{"Log", "[", "\[Epsilon]", "]"}]}], "-", "EulerGamma", "-", 
   RowBox[{"Log", "[", "\[Lambda]", "]"}]}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"\[Epsilon]", "\[Rule]", "\[Epsilon]val"}], ",", 
    RowBox[{"\[Lambda]", "\[Rule]", "\[Lambda]val"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.572592094468914*^9, 3.572592106596198*^9}, {
  3.572592147399372*^9, 3.572592219412385*^9}, {3.5725923053102818`*^9, 
  3.572592336147743*^9}, {3.572592437574418*^9, 3.5725925454760437`*^9}}],

Cell[BoxData["25.610210970172766`"], "Output",
 CellChangeTimes->{{3.572592097101403*^9, 3.572592107261567*^9}, {
   3.5725921426949797`*^9, 3.572592219847386*^9}, {3.572592313172462*^9, 
   3.572592352751423*^9}, 3.57259242701433*^9, {3.572592460212994*^9, 
   3.5725925467120323`*^9}}],

Cell[BoxData["25.328436022934504`"], "Output",
 CellChangeTimes->{{3.572592097101403*^9, 3.572592107261567*^9}, {
   3.5725921426949797`*^9, 3.572592219847386*^9}, {3.572592313172462*^9, 
   3.572592352751423*^9}, 3.57259242701433*^9, {3.572592460212994*^9, 
   3.572592546713311*^9}}],

Cell[BoxData["24.75122035803297`"], "Output",
 CellChangeTimes->{{3.572592097101403*^9, 3.572592107261567*^9}, {
   3.5725921426949797`*^9, 3.572592219847386*^9}, {3.572592313172462*^9, 
   3.572592352751423*^9}, 3.57259242701433*^9, {3.572592460212994*^9, 
   3.572592546714201*^9}}],

Cell[BoxData["25.610211915974343`"], "Output",
 CellChangeTimes->{{3.572592097101403*^9, 3.572592107261567*^9}, {
   3.5725921426949797`*^9, 3.572592219847386*^9}, {3.572592313172462*^9, 
   3.572592352751423*^9}, 3.57259242701433*^9, {3.572592460212994*^9, 
   3.572592546715084*^9}}]
}, Open  ]]
},
WindowSize->{740, 847},
WindowMargins->{{33, Automatic}, {Automatic, 33}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 1794, 57, 107, "Input"],
Cell[CellGroupData[{
Cell[2376, 81, 307, 8, 27, "Input"],
Cell[2686, 91, 1646, 53, 67, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4369, 149, 329, 8, 27, "Input"],
Cell[4701, 159, 653, 13, 41, "Message"],
Cell[5357, 174, 2164, 68, 86, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7558, 247, 334, 8, 27, "Input"],
Cell[7895, 257, 1717, 64, 55, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9649, 326, 875, 30, 55, "Input"],
Cell[10527, 358, 459, 16, 40, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11023, 379, 292, 7, 27, "Input"],
Cell[11318, 388, 335, 8, 33, "Output"]
}, Open  ]],
Cell[11668, 399, 126, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[11819, 405, 741, 22, 50, "Input"],
Cell[12563, 429, 217, 6, 50, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12817, 440, 841, 25, 46, "Input"],
Cell[13661, 467, 628, 12, 41, "Message"],
Cell[14292, 481, 348, 9, 44, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14677, 495, 422, 14, 66, "Input"],
Cell[15102, 511, 94, 2, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15233, 518, 199, 5, 49, "Input"],
Cell[15435, 525, 176, 6, 49, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15648, 536, 529, 13, 47, "Input"],
Cell[16180, 551, 719, 18, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[16936, 574, 417, 10, 27, "Input"],
Cell[17356, 586, 1222, 31, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18615, 622, 130, 2, 27, "Input"],
Cell[18748, 626, 112, 1, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[18897, 632, 1817, 51, 200, "Input"],
Cell[20717, 685, 287, 4, 27, "Output"],
Cell[21007, 691, 285, 4, 27, "Output"],
Cell[21295, 697, 284, 4, 27, "Output"],
Cell[21582, 703, 285, 4, 27, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
