(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     10753,        357]
NotebookOptionsPosition[      9979,        325]
NotebookOutlinePosition[     10330,        341]
CellTagsIndexPosition[     10287,        338]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Check;", "Subsubtitle",
 CellChangeTimes->{{3.572505115870669*^9, 3.572505116680201*^9}, 
   3.572505239536599*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"v", "=", 
    RowBox[{"{", 
     RowBox[{"v1", ",", "v2"}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"{", 
    RowBox[{"x1", ",", "x2"}], "}"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.572505431387945*^9, 3.572505441002705*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"\[CapitalDelta]", "[", 
    RowBox[{"\[Sigma]_", ",", "\[Tau]1_", ",", "\[Tau]2_"}], "]"}], "=", 
   RowBox[{
    RowBox[{"Sqrt", "[", 
     FractionBox[
      RowBox[{"Sqrt", "[", 
       RowBox[{"v", ".", "v"}], "]"}], 
      RowBox[{"2", " ", "\[Pi]", " ", 
       RowBox[{"Sinh", "[", 
        RowBox[{"2", " ", "\[Sigma]", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"v", ".", "v"}], "]"}]}], "]"}]}]], "]"}], " ", 
    RowBox[{"Exp", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"-", 
        RowBox[{"Sqrt", "[", 
         RowBox[{"v", ".", "v"}], "]"}]}], 
       RowBox[{
        RowBox[{"(", 
         FractionBox[
          RowBox[{"\[Tau]1", "-", "\[Tau]2"}], "2"], ")"}], "^", "2"}], " ", 
       RowBox[{"Coth", "[", 
        RowBox[{"\[Sigma]", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"v", ".", "v"}], "]"}]}], "]"}]}], "-", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{"v", ".", "v"}], "]"}], 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          FractionBox[
           RowBox[{"\[Tau]1", "+", "\[Tau]2"}], "2"], "+", 
          FractionBox[
           RowBox[{"x", ".", "v"}], 
           RowBox[{"v", ".", "v"}]]}], ")"}], "^", "2"}], 
       RowBox[{"Tanh", "[", 
        RowBox[{"\[Sigma]", " ", 
         RowBox[{"Sqrt", "[", 
          RowBox[{"v", ".", "v"}], "]"}]}], "]"}]}], "-", 
      RowBox[{"\[Sigma]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"x", ".", "x"}], "-", 
         FractionBox[
          RowBox[{
           RowBox[{"(", 
            RowBox[{"x", ".", "v"}], ")"}], "^", "2"}], 
          RowBox[{"v", ".", "v"}]]}], ")"}]}]}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.572505245503067*^9, 3.57250542175058*^9}, {
  3.5725054578004503`*^9, 3.5725055194806957`*^9}, {3.572505805949109*^9, 
  3.572505813404373*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp1", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"\[CapitalDelta]", "[", 
      RowBox[{"\[Sigma]", ",", "\[Tau]1", ",", "\[Tau]2"}], "]"}], ",", 
     "\[Sigma]"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.572505521809554*^9, 3.572505536116537*^9}, {
  3.5725056486668043`*^9, 3.5725056490983133`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{
    SqrtBox[
     RowBox[{"2", " ", "\[Pi]"}]], " ", 
    SqrtBox[
     RowBox[{
      SuperscriptBox["v1", "2"], "+", 
      SuperscriptBox["v2", "2"]}]]}]], 
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"v2", " ", "x1"}], "-", 
           RowBox[{"v1", " ", "x2"}]}], ")"}], "2"], " ", "\[Sigma]"}], 
       RowBox[{
        SuperscriptBox["v1", "2"], "+", 
        SuperscriptBox["v2", "2"]}]]}], "-", 
     RowBox[{
      FractionBox["1", "4"], " ", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["v1", "2"], "+", 
        SuperscriptBox["v2", "2"]}]], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"\[Tau]1", "-", "\[Tau]2"}], ")"}], "2"], " ", 
      RowBox[{"Coth", "[", 
       RowBox[{
        SqrtBox[
         RowBox[{
          SuperscriptBox["v1", "2"], "+", 
          SuperscriptBox["v2", "2"]}]], " ", "\[Sigma]"}], "]"}]}], "-", 
     RowBox[{
      SqrtBox[
       RowBox[{
        SuperscriptBox["v1", "2"], "+", 
        SuperscriptBox["v2", "2"]}]], " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{
           RowBox[{"v1", " ", "x1"}], "+", 
           RowBox[{"v2", " ", "x2"}]}], 
          RowBox[{
           SuperscriptBox["v1", "2"], "+", 
           SuperscriptBox["v2", "2"]}]], "+", 
         FractionBox[
          RowBox[{"\[Tau]1", "+", "\[Tau]2"}], "2"]}], ")"}], "2"], " ", 
      RowBox[{"Tanh", "[", 
       RowBox[{
        SqrtBox[
         RowBox[{
          SuperscriptBox["v1", "2"], "+", 
          SuperscriptBox["v2", "2"]}]], " ", "\[Sigma]"}], "]"}]}]}]], " ", 
   SqrtBox[
    RowBox[{
     SqrtBox[
      RowBox[{
       SuperscriptBox["v1", "2"], "+", 
       SuperscriptBox["v2", "2"]}]], " ", 
     RowBox[{"Csch", "[", 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["v1", "2"], "+", 
         SuperscriptBox["v2", "2"]}]], " ", "\[Sigma]"}], "]"}]}]], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["v1", "2"], "+", 
         SuperscriptBox["v2", "2"]}], ")"}]}], " ", 
      RowBox[{"Coth", "[", 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["v1", "2"], "+", 
          SuperscriptBox["v2", "2"]}]], " ", "\[Sigma]"}], "]"}]}], "+", 
     RowBox[{
      SqrtBox[
       RowBox[{
        SuperscriptBox["v1", "2"], "+", 
        SuperscriptBox["v2", "2"]}]], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["x1", "2"]}], "-", 
        SuperscriptBox["x2", "2"], "+", 
        FractionBox[
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"v1", " ", "x1"}], "+", 
            RowBox[{"v2", " ", "x2"}]}], ")"}], "2"], 
         RowBox[{
          SuperscriptBox["v1", "2"], "+", 
          SuperscriptBox["v2", "2"]}]], "+", 
        RowBox[{
         FractionBox["1", "4"], " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["v1", "2"], "+", 
           SuperscriptBox["v2", "2"]}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"\[Tau]1", "-", "\[Tau]2"}], ")"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Csch", "[", 
           RowBox[{
            SqrtBox[
             RowBox[{
              SuperscriptBox["v1", "2"], "+", 
              SuperscriptBox["v2", "2"]}]], " ", "\[Sigma]"}], "]"}], "2"]}], 
        "-", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["v1", "2"], "+", 
           SuperscriptBox["v2", "2"]}], ")"}], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{"v1", " ", "x1"}], "+", 
              RowBox[{"v2", " ", "x2"}]}], 
             RowBox[{
              SuperscriptBox["v1", "2"], "+", 
              SuperscriptBox["v2", "2"]}]], "+", 
            FractionBox[
             RowBox[{"\[Tau]1", "+", "\[Tau]2"}], "2"]}], ")"}], "2"], " ", 
         SuperscriptBox[
          RowBox[{"Sech", "[", 
           RowBox[{
            SqrtBox[
             RowBox[{
              SuperscriptBox["v1", "2"], "+", 
              SuperscriptBox["v2", "2"]}]], " ", "\[Sigma]"}], "]"}], 
          "2"]}]}], ")"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.5725055312111597`*^9, 3.572505539513534*^9}, 
   3.572505649594543*^9, 3.572505833141409*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"tmp2", "=", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"\[CapitalDelta]", "[", 
        RowBox[{"\[Sigma]", ",", "\[Tau]1", ",", "\[Tau]2"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"\[Tau]1", ",", "2"}], "}"}]}], "]"}]}], "+", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"x", "+", 
        RowBox[{"v", " ", "\[Tau]1"}]}], ")"}], ".", 
      RowBox[{"(", 
       RowBox[{"x", "+", 
        RowBox[{"v", " ", "\[Tau]1"}]}], ")"}]}], 
     RowBox[{"\[CapitalDelta]", "[", 
      RowBox[{"\[Sigma]", ",", "\[Tau]1", ",", "\[Tau]2"}], "]"}]}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.572505557714431*^9, 3.572505650562755*^9}, {
  3.5725058766632032`*^9, 3.572505878534195*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"repl", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x1", "\[Rule]", "0.2"}], ",", 
     RowBox[{"x2", "\[Rule]", "0.543"}], ",", 
     RowBox[{"v1", "\[Rule]", "0.345242"}], ",", 
     RowBox[{"v2", "\[Rule]", "0.65423"}], ",", 
     RowBox[{"\[Sigma]", "\[Rule]", "0.42"}], ",", 
     RowBox[{"\[Tau]1", "\[Rule]", "0.121"}], ",", 
     RowBox[{"\[Tau]2", "\[Rule]", "0.432"}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.572505707041317*^9, 3.5725057080105133`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp1", "/.", "repl"}]], "Input",
 CellChangeTimes->{{3.572505652075979*^9, 3.5725057106728354`*^9}}],

Cell[BoxData[
 RowBox[{"-", "0.5463609659383527`"}]], "Output",
 CellChangeTimes->{{3.572505660491712*^9, 3.572505698481489*^9}, 
   3.572505880423539*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp2", "/.", "repl"}]], "Input",
 CellChangeTimes->{{3.572505702250525*^9, 3.57250571285676*^9}}],

Cell[BoxData["0.5463609659383527`"], "Output",
 CellChangeTimes->{{3.572505702703887*^9, 3.5725057132692013`*^9}, 
   3.572505881041333*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{740, 848},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 121, 2, 26, "Subsubtitle"],
Cell[703, 26, 347, 11, 58, "Input"],
Cell[1053, 39, 1891, 55, 121, "Input"],
Cell[CellGroupData[{
Cell[2969, 98, 374, 9, 27, "Input"],
Cell[3346, 109, 4678, 150, 229, "Output"]
}, Open  ]],
Cell[8039, 262, 787, 23, 27, "Input"],
Cell[8829, 287, 514, 12, 27, "Input"],
Cell[CellGroupData[{
Cell[9368, 303, 124, 2, 27, "Input"],
Cell[9495, 307, 155, 3, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9687, 315, 121, 2, 27, "Input"],
Cell[9811, 319, 140, 2, 27, "Output"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

