(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     80268,       2349]
NotebookOptionsPosition[     74348,       2151]
NotebookOutlinePosition[     75699,       2199]
CellTagsIndexPosition[     75627,       2194]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["Temp", "Subtitle",
 CellChangeTimes->{{3.408796983010241*^9, 3.408796989128707*^9}, {
  3.415942197687789*^9, 3.415942199707787*^9}, {3.428318203595373*^9, 
  3.4283182110266533`*^9}, {3.4318556687961187`*^9, 3.431855668994246*^9}, {
  3.495174647742872*^9, 3.460515504326817*^9}, {3.503996600043788*^9, 
  3.503996603042028*^9}, {3.54247054384832*^9, 3.542470547950636*^9}, {
  3.543557153971836*^9, 3.543557154018488*^9}, {3.54355724987787*^9, 
  3.5435572520293093`*^9}, {3.5516122019361877`*^9, 3.5516122053499317`*^9}, {
  3.552297516784545*^9, 3.552297527131527*^9}, {3.5523007168882713`*^9, 
  3.552300725624015*^9}, {3.553448453571381*^9, 3.553448453668573*^9}, {
  3.556643033242546*^9, 3.556643033545198*^9}, {3.556644995205963*^9, 
  3.556644995772251*^9}, {3.56256097194526*^9, 3.562560972415584*^9}, {
  3.571389066112857*^9, 3.571389066471697*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Print", "[", "\"\<hmm\>\"", "]"}]], "Input"],

Cell[BoxData["\<\"hmm\"\>"], "Print",
 CellChangeTimes->{3.56312635388379*^9, 3.571389382397891*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["GRSetup2.nb - modified", "Subsubtitle",
 CellChangeTimes->{{3.478330969800351*^9, 3.478330971159855*^9}}],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Latest", " ", "Version"}], " ", "*)"}]], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"metric", "=", 
   RowBox[{"{", 
    RowBox[{
    "gtt", ",", "grr", ",", "g\[Theta]\[Theta]", ",", "g\[Phi]\[Phi]", ",", 
     "gzz"}], "}"}]}], "\n"}], "\n", 
 RowBox[{"Gd", "=", 
  RowBox[{"DiagonalMatrix", "[", "metric", "]"}]}]}], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "gtt", ",", "grr", ",", "g\[Theta]\[Theta]", ",", "g\[Phi]\[Phi]", ",", 
   "gzz"}], "}"}]], "Output",
 CellChangeTimes->{3.5631263539686813`*^9, 3.571389322843789*^9, 
  3.571389382447116*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"gtt", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "grr", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "g\[Theta]\[Theta]", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "g\[Phi]\[Phi]", ",", "0"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "gzz"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.5631263539686813`*^9, 3.571389322843789*^9, 
  3.571389382448983*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Gd", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "2"}], "]"}], "]"}], "=", "grt"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"Gd", "[", 
   RowBox[{"[", 
    RowBox[{"2", ",", "1"}], "]"}], "]"}], "=", "grt"}]}], "Input"],

Cell[BoxData["grt"], "Output",
 CellChangeTimes->{3.5631263540271273`*^9, 3.571389322878351*^9, 
  3.5713893824831676`*^9}],

Cell[BoxData["grt"], "Output",
 CellChangeTimes->{3.5631263540271273`*^9, 3.571389322878351*^9, 
  3.571389382485821*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"BuildMetric", ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"Gu", "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"Inverse", "[", "Gd", "]"}], "]"}]}], ";", 
    RowBox[{"G", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"u", ",", "d"}], "}"}], ",", 
       RowBox[{"IdentityMatrix", "[", "Nind", "]"}]}], "}"}]}], ";"}], 
   ")"}]}]], "Input"],

Cell[BoxData["BuildMetric"], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ind", "=", 
   RowBox[{"{", 
    RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]", ",", "z"}], 
    "}"}]}], "\n"}], "\n", 
 RowBox[{"Nind", "=", 
  RowBox[{"Length", "[", "ind", "]"}]}]}], "Input",
 Editable->False],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"t", ",", "r", ",", "\[Theta]", ",", "\[Phi]", ",", "z"}], 
  "}"}]], "Output",
 CellChangeTimes->{3.563126355088756*^9, 3.571389323520133*^9, 
  3.5713893826039267`*^9}],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{3.563126355088756*^9, 3.571389323520133*^9, 
  3.5713893826062517`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"getind", "[", "i1_", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"IntegerQ", "[", "i1", "]"}], ",", "i1", ",", 
      RowBox[{
       RowBox[{"Position", "[", 
        RowBox[{"ind", ",", "i1"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}], ")"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"lstind", "[", "i1_", "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"lsttmp2", "=", 
      RowBox[{"{", "}"}]}], ";", 
     RowBox[{"Do", "[", 
      RowBox[{
       RowBox[{"AppendTo", "[", 
        RowBox[{"lsttmp2", ",", 
         RowBox[{"getind", "[", 
          RowBox[{"i1", "[", 
           RowBox[{"[", 
            RowBox[{"lsttmp1", ",", "1"}], "]"}], "]"}], "]"}]}], "]"}], ",", 
       
       RowBox[{"{", 
        RowBox[{"lsttmp1", ",", "1", ",", 
         RowBox[{"Length", "[", "i1", "]"}]}], "}"}]}], "]"}], ";", 
     "lsttmp2"}], ")"}]}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"up", "[", 
   RowBox[{"i1_", ",", "i2_"}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"lsttmp2", "=", 
     RowBox[{"{", "}"}]}], ";", 
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"AppendTo", "[", 
       RowBox[{"lsttmp2", ",", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"i1", "[", 
            RowBox[{"[", 
             RowBox[{"lsttmp1", ",", "2"}], "]"}], "]"}], "=!=", 
           RowBox[{"i2", "[", 
            RowBox[{"[", "lsttmp1", "]"}], "]"}]}], ",", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"i1", "[", 
              RowBox[{"[", 
               RowBox[{"lsttmp1", ",", "2"}], "]"}], "]"}], "===", "d"}], ",",
             "d", ",", "u"}], "]"}], ",", "0"}], "]"}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"lsttmp1", ",", "1", ",", 
        RowBox[{"Length", "[", "i1", "]"}]}], "}"}]}], "]"}], ";", 
    "lsttmp2"}], ")"}]}]}], "Input",
 Editable->False],

Cell[BoxData[""], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"t1_", ",", "dim_", ",", "indpos_"}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"MTtmp1", "=", "0"}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Length", "[", "indpos", "]"}], "=!=", "dim"}], ",", 
      RowBox[{"Print", "[", "\"\<Error in index position\>\"", "]"}]}], "]"}],
     ";", 
    RowBox[{"Do", "[", 
     RowBox[{
      RowBox[{"MTtmp1", "=", 
       RowBox[{"Table", "[", 
        RowBox[{"MTtmp1", ",", 
         RowBox[{"{", 
          RowBox[{"MTtmp3", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"MTtmp2", ",", "1", ",", "dim"}], "}"}]}], "]"}], ";", 
    RowBox[{"t1", "=", 
     RowBox[{"{", 
      RowBox[{"indpos", ",", "MTtmp1"}], "}"}]}]}], ")"}]}]], "Input",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"ST", "[", 
    RowBox[{"t1_", ",", "tind_", ",", "val_"}], "]"}], ":=", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"STtmp1", "=", "t1"}], ";", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"up", "[", 
         RowBox[{"tind", ",", 
          RowBox[{"t1", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "=!=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"Length", "[", "tind", "]"}], "}"}]}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Print", "[", "\"\<Error in Index Assignment!!\>\"", "]"}], 
        ";"}]}], "]"}], ";", 
     RowBox[{
      RowBox[{"STtmp1", "[", 
       RowBox[{"[", "2", "]"}], "]"}], "=", 
      RowBox[{"ReplacePart", "[", 
       RowBox[{
        RowBox[{"t1", "[", 
         RowBox[{"[", "2", "]"}], "]"}], ",", "val", ",", 
        RowBox[{"lstind", "[", "tind", "]"}]}], "]"}]}], ";", "STtmp1"}], 
    ")"}]}], "\n"}]], "Input",
 Editable->False],

Cell["\<\


Edited the expression below as 7.0 seems to complain about Sum[x] whereas 6.0 \
would just return x (ie. if there is no sum index!)

\
\>", "Text",
 CellChangeTimes->{{3.465736646430695*^9, 3.4657366879261303`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"GT", "[", 
   RowBox[{"t1_", ",", "tind_"}], "]"}], ":=", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"GTtmp2", "=", 
     RowBox[{"up", "[", 
      RowBox[{"tind", ",", 
       RowBox[{"t1", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";", 
    RowBox[{"GTtmp3", "=", "\"\<\>\""}], ";", 
    RowBox[{"GTtmp4", "=", "\"\<\>\""}], ";", 
    RowBox[{"GTtmp5", "=", "\"\<\>\""}], ";", 
    RowBox[{"GTtmp6", "=", "t1"}], ";", "\n", "\t\t", 
    RowBox[{"Do", "[", "\n", "\t\t\t", 
     RowBox[{
      RowBox[{
       RowBox[{"Switch", "[", 
        RowBox[{
         RowBox[{"GTtmp2", "[", 
          RowBox[{"[", "GTtmp1", "]"}], "]"}], ",", "\n", "\t\t\t\t", "0", 
         ",", "\n", "\t\t\t\t", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"GTtmp3", "=", 
            RowBox[{"GTtmp3", "<>", "\"\<,\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"getind", "[", 
               RowBox[{"tind", "[", 
                RowBox[{"[", 
                 RowBox[{"GTtmp1", ",", "1"}], "]"}], "]"}], "]"}], "]"}]}]}],
            ";"}], ")"}], ",", "\n", "\t\t\t\t", "u", ",", "\n", "\t\t\t\t", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"GTtmp3", "=", 
            RowBox[{"GTtmp3", "<>", "\"\<,\>\"", "<>", "\"\<tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}]}]}], ";", "\n", 
           "\t\t\t\t\t", 
           RowBox[{"GTtmp4", "=", 
            RowBox[{"GTtmp4", "<>", "\"\< Gu[[\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"getind", "[", 
               RowBox[{"tind", "[", 
                RowBox[{"[", 
                 RowBox[{"GTtmp1", ",", "1"}], "]"}], "]"}], "]"}], "]"}], 
             "<>", "\"\<, tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}], "<>", 
             "\"\<]] \>\""}]}], ";", "\n", "\t\t\t\t\t", 
           RowBox[{"GTtmp5", "=", 
            RowBox[{"GTtmp5", "<>", "\"\<,{tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}], "<>", 
             "\"\<,1,Nind}\>\""}]}]}], ")"}], ",", "\n", "\t\t\t\t", "d", ",",
          "\n", "\t\t\t\t", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"GTtmp3", "=", 
            RowBox[{"GTtmp3", "<>", "\"\<,\>\"", "<>", "\"\<tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}]}]}], ";", "\n", 
           "\t\t\t\t\t", 
           RowBox[{"GTtmp4", "=", 
            RowBox[{"GTtmp4", "<>", "\"\< Gd[[\>\"", "<>", 
             RowBox[{"ToString", "[", 
              RowBox[{"getind", "[", 
               RowBox[{"tind", "[", 
                RowBox[{"[", 
                 RowBox[{"GTtmp1", ",", "1"}], "]"}], "]"}], "]"}], "]"}], 
             "<>", "\"\<, tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}], "<>", 
             "\"\<]] \>\""}]}], ";", "\n", "\t\t\t\t\t", 
           RowBox[{"GTtmp5", "=", 
            RowBox[{"GTtmp5", "<>", "\"\<,{tmpind\>\"", "<>", 
             RowBox[{"ToString", "[", "GTtmp1", "]"}], "<>", 
             "\"\<,1,Nind}\>\""}]}], ";"}], ")"}]}], "]"}], ";"}], "\n", 
      "\t\t\t", ",", 
      RowBox[{"{", 
       RowBox[{"GTtmp1", ",", "1", ",", 
        RowBox[{"Length", "[", 
         RowBox[{"t1", "[", 
          RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}], ";", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"GTtmp4", "===", "\"\<\>\""}], "&&", 
       RowBox[{"GTtmp5", "===", "\"\<\>\""}]}], ",", 
      RowBox[{"ToExpression", "[", 
       RowBox[{"\"\<GTtmp6[[2\>\"", "<>", "GTtmp3", "<>", "\"\<]]\>\""}], 
       "]"}], ",", 
      RowBox[{"ToExpression", "[", 
       RowBox[{
       "\"\<Sum[GTtmp6[[2\>\"", "<>", "GTtmp3", "<>", "\"\<]]\>\"", "<>", 
        "GTtmp4", "<>", "GTtmp5", "<>", "\"\<]\>\""}], "]"}]}], "]"}]}], 
   ")"}]}]], "Input",
 Editable->False,
 CellChangeTimes->{{3.465736640865263*^9, 3.4657366432796392`*^9}, {
  3.465736699767317*^9, 3.4657367470041943`*^9}}]
}, Closed]],

Cell[CellGroupData[{

Cell["\<\
Trace, Outer Product and Covariant Derivative! - GREinstein.nb\
\>", "Subsubtitle",
 Editable->False],

Cell["\<\
Syntax:   trT[tensor,{{1,4},{2,3}}]   -  ie. contract 1 and 4 plus 2 and 3 \
positions\
\>", "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"trT", "[", 
   RowBox[{"t1_", ",", "lst_"}], "]"}], ":=", 
  RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dimt1", "=", 
     RowBox[{"Length", "[", 
      RowBox[{"Dimensions", "[", 
       RowBox[{"t1", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tmpt1", "=", "t1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Clear", "[", "tracetmp", "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"If", "[", 
     RowBox[{
      RowBox[{"dimt1", "===", "2"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"tracetmp", "=", 
        RowBox[{"Sum", "[", 
         RowBox[{
          RowBox[{"GT", "[", 
           RowBox[{"tmpt1", ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"s1", ",", "d"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"s1", ",", "u"}], "}"}]}], "}"}]}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"s1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], ";"}], 
      "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"MT", "[", 
        RowBox[{"tracetmp", ",", 
         RowBox[{"dimt1", "-", 
          RowBox[{"2", 
           RowBox[{"Length", "[", "lst", "]"}]}]}], ",", 
         RowBox[{"Table", "[", 
          RowBox[{"d", ",", 
           RowBox[{"{", 
            RowBox[{"ii", ",", "1", ",", 
             RowBox[{"dimt1", "-", 
              RowBox[{"2", 
               RowBox[{"Length", "[", "lst", "]"}]}]}]}], "}"}]}], "]"}]}], 
        "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"tmpstring1", "=", "\"\<\>\""}], ";", 
       RowBox[{"tmpstring2", "=", "\"\<\>\""}], ";", 
       RowBox[{"tmpstring3", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", 
       "\[IndentingNewLine]", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{
             RowBox[{"{", "}"}], "===", 
             RowBox[{"Position", "[", 
              RowBox[{"lst", ",", "indno"}], "]"}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"tmpstring1", "=", 
              RowBox[{"tmpstring1", "<>", "\"\<{i\>\"", "<>", 
               RowBox[{"ToString", "[", "indno", "]"}], "<>", 
               "\"\<,d},\>\""}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"tmpstring3", "=", 
              RowBox[{"tmpstring3", "<>", "\"\<{i\>\"", "<>", 
               RowBox[{"ToString", "[", "indno", "]"}], "<>", 
               "\"\<,1,Nind},\>\""}]}], ";"}]}], "\[IndentingNewLine]", "]"}],
           ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"tmpstring2", "=", 
           RowBox[{"tmpstring2", "<>", "\"\<{i\>\"", "<>", 
            RowBox[{"ToString", "[", "indno", "]"}], "<>", "\"\<,d},\>\""}]}],
           ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"indno", ",", "1", ",", "dimt1"}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"tmpstring4", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", 
       "\n", 
       RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{
          RowBox[{"tmpstring4", "=", 
           RowBox[{"tmpstring4", "<>", "\"\<{s\>\"", "<>", 
            RowBox[{"ToString", "[", "indno", "]"}], "<>", 
            "\"\<,1,Nind},\>\""}]}], ";", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"tmpstring2", "=", 
           RowBox[{"StringReplace", "[", 
            RowBox[{"tmpstring2", ",", 
             RowBox[{
              RowBox[{"\"\<i\>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"lst", "[", 
                 RowBox[{"[", 
                  RowBox[{"indno", ",", "1"}], "]"}], "]"}], "]"}]}], "->", 
              RowBox[{"\"\<s\>\"", "<>", 
               RowBox[{"ToString", "[", "indno", "]"}]}]}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"tmpstring2", "=", 
           RowBox[{"StringReplace", "[", 
            RowBox[{"tmpstring2", ",", 
             RowBox[{
              RowBox[{"\"\<i\>\"", "<>", 
               RowBox[{"ToString", "[", 
                RowBox[{"lst", "[", 
                 RowBox[{"[", 
                  RowBox[{"indno", ",", "2"}], "]"}], "]"}], "]"}], "<>", 
               "\"\<,d}\>\""}], "->", 
              RowBox[{"\"\<s\>\"", "<>", 
               RowBox[{"ToString", "[", "indno", "]"}], "<>", 
               "\"\<,u}\>\""}]}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
         "\[IndentingNewLine]", ",", 
         RowBox[{"{", 
          RowBox[{"indno", ",", "1", ",", 
           RowBox[{"Length", "[", "lst", "]"}]}], "}"}]}], "]"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"tmpeval", "=", 
        RowBox[{"\"\<Do[tracetmp=ST[tracetmp,{\>\"", "<>", 
         RowBox[{"StringDrop", "[", 
          RowBox[{"tmpstring1", ",", 
           RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<},Sum[GT[tmpt1,{\>\"", "<>", 
         RowBox[{"StringDrop", "[", 
          RowBox[{"tmpstring2", ",", 
           RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<}],\>\"", "<>", 
         RowBox[{"StringDrop", "[", 
          RowBox[{"tmpstring4", ",", 
           RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<]],\>\"", "<>", 
         RowBox[{"StringDrop", "[", 
          RowBox[{"tmpstring3", ",", 
           RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<]\>\""}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"ToExpression", "[", "tmpeval", "]"}], ";"}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", "tracetmp"}], 
   "\[IndentingNewLine]", ")"}]}]], "Input",
 Editable->False],

Cell["Syntax:   outerT[tensor1,tensor2] ", "Text",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"outerT", "[", 
   RowBox[{"t1_", ",", "t2_"}], "]"}], ":=", 
  RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dimt1", "=", 
     RowBox[{"Length", "[", 
      RowBox[{"Dimensions", "[", 
       RowBox[{"t1", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], ";", 
    RowBox[{"dimt2", "=", 
     RowBox[{"Length", "[", 
      RowBox[{"Dimensions", "[", 
       RowBox[{"t2", "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"tmpt1", "=", "t1"}], ";", 
    RowBox[{"tmpt2", "=", "t2"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Clear", "[", "outertmp", "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"MT", "[", 
     RowBox[{"outertmp", ",", 
      RowBox[{"dimt1", "+", "dimt2"}], ",", 
      RowBox[{"Table", "[", 
       RowBox[{"d", ",", 
        RowBox[{"{", 
         RowBox[{"ii", ",", "1", ",", 
          RowBox[{"dimt1", "+", "dimt2"}]}], "}"}]}], "]"}]}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"tmpstring1", "=", "\"\<\>\""}], ";", 
    RowBox[{"tmpstring2", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"tmpstring1", "=", 
        RowBox[{"tmpstring1", "<>", "\"\<{i\>\"", "<>", 
         RowBox[{"ToString", "[", "indno", "]"}], "<>", "\"\<,d},\>\""}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"tmpstring2", "=", 
        RowBox[{"tmpstring2", "<>", "\"\<{i\>\"", "<>", 
         RowBox[{"ToString", "[", "indno", "]"}], "<>", 
         "\"\<,1,Nind},\>\""}]}], ";"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"indno", ",", "1", ",", "dimt1"}], "}"}]}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"tmpstring3", "=", "\"\<\>\""}], ";", 
    RowBox[{"tmpstring4", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", "\n", 
    RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"tmpstring3", "=", 
        RowBox[{"tmpstring3", "<>", "\"\<{j\>\"", "<>", 
         RowBox[{"ToString", "[", "indno", "]"}], "<>", "\"\<,d},\>\""}]}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"tmpstring4", "=", 
        RowBox[{"tmpstring4", "<>", "\"\<{j\>\"", "<>", 
         RowBox[{"ToString", "[", "indno", "]"}], "<>", 
         "\"\<,1,Nind},\>\""}]}], ";"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", ",", 
      RowBox[{"{", 
       RowBox[{"indno", ",", "1", ",", "dimt2"}], "}"}]}], "]"}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"tmpeval", "=", 
     RowBox[{"\"\<Do[outertmp=ST[outertmp,{\>\"", "<>", "tmpstring1", "<>", 
      RowBox[{"StringDrop", "[", 
       RowBox[{"tmpstring3", ",", 
        RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<},GT[tmpt1,{\>\"", "<>", 
      RowBox[{"StringDrop", "[", 
       RowBox[{"tmpstring1", ",", 
        RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<}]GT[tmpt2,{\>\"", "<>", 
      RowBox[{"StringDrop", "[", 
       RowBox[{"tmpstring3", ",", 
        RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<}]],\>\"", "<>", "tmpstring2",
       "<>", 
      RowBox[{"StringDrop", "[", 
       RowBox[{"tmpstring4", ",", 
        RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<]\>\""}]}], ";", 
    "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"ToExpression", "[", "tmpeval", "]"}], ";", "\[IndentingNewLine]",
     "\[IndentingNewLine]", "outertmp"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", ")"}]}]], "Input",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{"scalarDT", "[", "t1_", "]"}], ":=", 
  RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmpt1", "=", "t1"}], ";", "\[IndentingNewLine]", 
    RowBox[{"Clear", "[", "covDTtmp", "]"}], ";", "\[IndentingNewLine]", 
    RowBox[{"MT", "[", 
     RowBox[{"covDTtmp", ",", "1", ",", 
      RowBox[{"{", "d", "}"}]}], "]"}], ";", "\[IndentingNewLine]", 
    "\[IndentingNewLine]", 
    RowBox[{
    "tmpeval", "=", 
     "\"\<Do[covDTtmp=ST[covDTtmp,{{i1,d}},D[tmpt1,ind[[i1]]]],{i1,1,Nind}]\>\
\""}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{"ToExpression", "[", "tmpeval", "]"}], ";", "\[IndentingNewLine]",
     "\[IndentingNewLine]", "covDTtmp"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", ")"}]}]], "Input",
 Editable->False],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"covDT", "[", "t1_", "]"}], ":=", 
   RowBox[{"(", "\[IndentingNewLine]", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"dimt1", "=", 
      RowBox[{"Length", "[", 
       RowBox[{"Dimensions", "[", 
        RowBox[{"t1", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"tmpt1", "=", "t1"}], ";", "\[IndentingNewLine]", 
     RowBox[{"Clear", "[", "covDTtmp", "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"MT", "[", 
      RowBox[{"covDTtmp", ",", 
       RowBox[{"dimt1", "+", "1"}], ",", 
       RowBox[{"Table", "[", 
        RowBox[{"d", ",", 
         RowBox[{"{", 
          RowBox[{"ii", ",", "1", ",", 
           RowBox[{"dimt1", "+", "1"}]}], "}"}]}], "]"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", " ", 
      RowBox[{"Build", " ", "expression"}], " ", "*)"}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"tmpstring1", "=", "\"\<\>\""}], ";", 
     RowBox[{"tmpstring2", "=", "\"\<\>\""}], ";", 
     RowBox[{"tmpstring3", "=", "\"\<\>\""}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"tmpstring1", "=", 
         RowBox[{"tmpstring1", "<>", "\"\<{i\>\"", "<>", 
          RowBox[{"ToString", "[", "indno", "]"}], "<>", "\"\<,d},\>\""}]}], 
        ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"tmpstring2", "=", 
         RowBox[{"tmpstring2", "<>", "\"\<{i\>\"", "<>", 
          RowBox[{"ToString", "[", "indno", "]"}], "<>", 
          "\"\<,1,Nind},\>\""}]}], ";"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"indno", ",", "1", ",", "dimt1"}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"Do", "[", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"tmpstring4", "=", 
         RowBox[{"\"\<-Sum[GT[tmpt1,{\>\"", "<>", 
          RowBox[{"StringDrop", "[", 
           RowBox[{"tmpstring1", ",", 
            RowBox[{"-", "1"}]}], "]"}], "<>", 
          "\"\<}]GT[\[CapitalGamma],{{REPL,d},{s1,d},{s2,u}}],{s2,1,Nind}]\>\"\
"}]}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"tmpstring4", "=", 
         RowBox[{"StringReplace", "[", 
          RowBox[{"tmpstring4", ",", 
           RowBox[{
            RowBox[{"\"\<i\>\"", "<>", 
             RowBox[{"ToString", "[", "indno", "]"}]}], "\[Rule]", " ", 
            "\"\<s2\>\""}]}], "]"}]}], ";", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", 
        RowBox[{"tmpstring4", "=", 
         RowBox[{"StringReplace", "[", 
          RowBox[{"tmpstring4", ",", 
           RowBox[{"\"\<REPL\>\"", "\[Rule]", 
            RowBox[{"\"\<i\>\"", "<>", 
             RowBox[{"ToString", "[", "indno", "]"}]}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", "\[IndentingNewLine]", 
        RowBox[{"tmpstring3", "=", 
         RowBox[{"tmpstring3", "<>", "tmpstring4"}]}], ";"}], 
       "\[IndentingNewLine]", "\[IndentingNewLine]", ",", 
       RowBox[{"{", 
        RowBox[{"indno", ",", "1", ",", "dimt1"}], "}"}]}], "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"tmpeval", "=", 
      RowBox[{
      "\"\<Do[covDTtmp=ST[covDTtmp,{\>\"", "<>", "tmpstring1", "<>", 
       "\"\<{s1,d}},D[GT[tmpt1,{\>\"", "<>", 
       RowBox[{"StringDrop", "[", 
        RowBox[{"tmpstring1", ",", 
         RowBox[{"-", "1"}]}], "]"}], "<>", "\"\<}],ind[[s1]]]\>\"", "<>", 
       "tmpstring3", "<>", "\"\<],\>\"", "<>", "tmpstring2", "<>", 
       "\"\<{s1,1,Nind}]\>\""}]}], ";", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"ToExpression", "[", "tmpeval", "]"}], ";", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "covDTtmp"}], 
    "\[IndentingNewLine]", "\[IndentingNewLine]", ")"}]}], ";"}]], "Input",
 Editable->False],

Cell[BoxData["."], "Input",
 CellChangeTimes->{3.399009138941909*^9},
 EmphasizeSyntaxErrors->True]
}, Closed]],

Cell[CellGroupData[{

Cell["Buildmetric", "Subsubtitle"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ind", "=", 
    RowBox[{"{", 
     RowBox[{"t", ",", "r", ",", "a1", ",", "a2", ",", "a3"}], "}"}]}], ";"}],
   "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Nind", "=", 
   RowBox[{"Length", "[", "ind", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{
  3.551593757279459*^9, {3.551593847903418*^9, 3.5515938505416927`*^9}, 
   3.556644023050881*^9, {3.562562020018593*^9, 3.562562021025487*^9}, {
   3.571389074082501*^9, 3.571389080363896*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"met", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"-", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[CapitalLambda]", " ", 
         RowBox[{"r", "^", "2"}]}], "+", "1", "-", 
        RowBox[{"M", 
         RowBox[{
          RowBox[{"(", 
           FractionBox["1", "r"], ")"}], "^", "2"}]}]}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"Dt", "[", "t", "]"}], "2"]}], "+", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"\[CapitalLambda]", " ", 
         RowBox[{"r", "^", "2"}]}], "+", "1", "-", 
        RowBox[{"M", 
         RowBox[{
          RowBox[{"(", 
           FractionBox["1", "r"], ")"}], "^", "2"}]}]}], ")"}], "^", 
      RowBox[{"(", 
       RowBox[{"-", "1"}], ")"}]}], 
     SuperscriptBox[
      RowBox[{"Dt", "[", "r", "]"}], "2"]}], "+", 
    RowBox[{
     RowBox[{"r", "^", "2"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"Dt", "[", "a1", "]"}], "^", "2"}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"Sin", "[", "a1", "]"}], "^", "2"}], 
        RowBox[{
         RowBox[{"Dt", "[", "a2", "]"}], "^", "2"}]}], "+", 
       RowBox[{
        RowBox[{
         RowBox[{"Sin", "[", "a1", "]"}], "^", "2"}], 
        RowBox[{
         RowBox[{"Sin", "[", "a2", "]"}], "^", "2"}], 
        RowBox[{
         RowBox[{"Dt", "[", "a3", "]"}], "^", "2"}]}]}], ")"}]}]}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.415864996853011*^9, 3.415865029461749*^9}, {
  3.41640612294987*^9, 3.4164061231303864`*^9}, {3.426233044030629*^9, 
  3.426233061822033*^9}, {3.551593680117296*^9, 3.5515937254404173`*^9}, {
  3.5515937604050627`*^9, 3.551593793746099*^9}, {3.5515945243714867`*^9, 
  3.551594528425828*^9}, {3.551594687051997*^9, 3.55159470957156*^9}, {
  3.551596852099247*^9, 3.55159686296412*^9}, {3.5516122727380857`*^9, 
  3.551612284863456*^9}, {3.551613588830535*^9, 3.551613592700665*^9}, {
  3.5534482532039557`*^9, 3.5534482560192537`*^9}, {3.5566440092071257`*^9, 
  3.556644011654104*^9}, {3.562561224732465*^9, 3.5625612396518803`*^9}, {
  3.571389086330167*^9, 3.571389144395739*^9}, {3.571389310775792*^9, 
  3.571389318170817*^9}, {3.5713893684186583`*^9, 3.571389375883955*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Gd", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"ii", "\[Equal]", "jj"}], ",", 
       RowBox[{"Coefficient", "[", 
        RowBox[{"met", ",", 
         RowBox[{
          RowBox[{"Dt", "[", 
           RowBox[{"ind", "[", 
            RowBox[{"[", "ii", "]"}], "]"}], "]"}], "^", "2"}]}], "]"}], ",", 
       
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"Coefficient", "[", 
         RowBox[{
          RowBox[{"Coefficient", "[", 
           RowBox[{"met", ",", 
            RowBox[{"Dt", "[", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "ii", "]"}], "]"}], "]"}]}], "]"}], ",", 
          RowBox[{"Dt", "[", 
           RowBox[{"ind", "[", 
            RowBox[{"[", "jj", "]"}], "]"}], "]"}]}], "]"}]}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"ii", ",", "1", ",", "Nind"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"jj", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{{3.551593733545899*^9, 3.5515937424691057`*^9}, {
  3.551593802725731*^9, 3.5515938440605097`*^9}, {3.551593877186933*^9, 
  3.5515939225138903`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MatrixForm", "[", "Gd", "]"}]], "Input",
 CellChangeTimes->{{3.551593923978424*^9, 3.551593926884918*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox["M", 
        SuperscriptBox["r", "2"]], "-", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", "\[CapitalLambda]"}]}], "0", "0", "0", 
      "0"},
     {"0", 
      FractionBox["1", 
       RowBox[{"1", "-", 
        FractionBox["M", 
         SuperscriptBox["r", "2"]], "+", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", "\[CapitalLambda]"}]}]], "0", "0", 
      "0"},
     {"0", "0", 
      SuperscriptBox["r", "2"], "0", "0"},
     {"0", "0", "0", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "a1", "]"}], "2"]}], "0"},
     {"0", "0", "0", "0", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "a1", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "a2", "]"}], "2"]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.5631263555907393`*^9, 3.571389323870203*^9, 
  3.571389383033153*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"BuildMetric", ";"}]], "Input",
 CellChangeTimes->{{3.408796998476103*^9, 3.408797030516582*^9}, {
   3.408799071597343*^9, 3.408799082644943*^9}, {3.408949739095245*^9, 
   3.408949739644734*^9}, {3.408949841695282*^9, 3.40894984293303*^9}, {
   3.415862083663703*^9, 3.4158620851642113`*^9}, {3.415862334623486*^9, 
   3.415862336021243*^9}, {3.415862388498528*^9, 3.4158623965197372`*^9}, {
   3.4158641082437763`*^9, 3.415864116357332*^9}, {3.415865034672494*^9, 
   3.415865047473855*^9}, {3.415943026431671*^9, 3.415943056090918*^9}, {
   3.42453089354659*^9, 3.424530981705195*^9}, {3.4262330694486513`*^9, 
   3.426233078224708*^9}, {3.42831552177035*^9, 3.428315531925826*^9}, {
   3.4846376557630672`*^9, 3.484637778991955*^9}, {3.484645370958414*^9, 
   3.4846453866606073`*^9}, {3.485064245782077*^9, 3.485064262265921*^9}, {
   3.551593653979796*^9, 3.551593672515424*^9}, 3.551593932722415*^9}],

Cell[CellGroupData[{

Cell[BoxData["Gd"], "Input"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      FractionBox["M", 
       SuperscriptBox["r", "2"]], "-", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", "\[CapitalLambda]"}]}], ",", "0", ",", 
     "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox["1", 
      RowBox[{"1", "-", 
       FractionBox["M", 
        SuperscriptBox["r", "2"]], "+", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", "\[CapitalLambda]"}]}]], ",", "0", ",",
      "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "a1", "]"}], "2"]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "a1", "]"}], "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "a2", "]"}], "2"]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.563126355698133*^9, 3.5713893257675247`*^9, 
  3.5713893831539793`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["Gu"], "Input",
 CellChangeTimes->{{3.551593960886705*^9, 3.551593971508885*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", 
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       FractionBox["M", 
        SuperscriptBox["r", "2"]], "-", 
       RowBox[{
        SuperscriptBox["r", "2"], " ", "\[CapitalLambda]"}]}]], ",", "0", ",",
      "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"1", "-", 
      FractionBox["M", 
       SuperscriptBox["r", "2"]], "+", 
      RowBox[{
       SuperscriptBox["r", "2"], " ", "\[CapitalLambda]"}]}], ",", "0", ",", 
     "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox["1", 
      SuperscriptBox["r", "2"]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"Csc", "[", "a1", "]"}], "2"], 
      SuperscriptBox["r", "2"]], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"Csc", "[", "a1", "]"}], "2"], " ", 
       SuperscriptBox[
        RowBox[{"Csc", "[", "a2", "]"}], "2"]}], 
      SuperscriptBox["r", "2"]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.563126355745212*^9, 3.571389326383891*^9, 
  3.571389383184617*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"detg", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Det", "[", "Gd", "]"}], "]"}]}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   SuperscriptBox["r", "6"]}], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "a1", "]"}], "4"], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "a2", "]"}], "2"]}]], "Output",
 CellChangeTimes->{3.563126355794736*^9, 3.57138932785424*^9, 
  3.571389383218433*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["GRrun2.nb", "Subsubtitle"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "\[CapitalGamma]", "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"\[CapitalGamma]", ",", "3", ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "d", ",", "u"}], "}"}]}], "]"}], ";"}], "\n"}], "Input",\

 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "R4", "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"R4", ",", "4", ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "d", ",", "d", ",", "u"}], "}"}]}], "]"}], 
  ";"}], "\n"}], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "R2", "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"R2", ",", "2", ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "d"}], "}"}]}], "]"}], ";"}]}], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Clear", "[", "G2", "]"}], "\n"}], "\n", 
 RowBox[{
  RowBox[{"MT", "[", 
   RowBox[{"G2", ",", "2", ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "d"}], "}"}]}], "]"}], ";"}]}], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"\[CapitalGamma]", "=", 
    RowBox[{"ST", "[", 
     RowBox[{"\[CapitalGamma]", ",", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i3", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}], ",", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{
         FractionBox["1", "2"], 
         RowBox[{"GT", "[", 
          RowBox[{"G", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i3", "]"}], "]"}], ",", "u"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}]}], 
            "}"}]}], "]"}], 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"GT", "[", 
              RowBox[{"G", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}]}], 
                "}"}]}], "]"}], ",", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "i2", "]"}], "]"}]}], "]"}], "+", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"GT", "[", 
              RowBox[{"G", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
                 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], 
                "}"}]}], "]"}], ",", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "i1", "]"}], "]"}]}], "]"}], "-", 
           RowBox[{"D", "[", 
            RowBox[{
             RowBox[{"GT", "[", 
              RowBox[{"G", ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
                 RowBox[{"{", 
                  RowBox[{
                   RowBox[{"ind", "[", 
                    RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], 
                "}"}]}], "]"}], ",", 
             RowBox[{"ind", "[", 
              RowBox[{"[", "ss1", "]"}], "]"}]}], "]"}]}], ")"}]}], ",", 
        RowBox[{"{", 
         RowBox[{"ss1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], "]"}]}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i3", ",", "1", ",", "Nind"}], "}"}]}], "]"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "\[CapitalGamma]", "]"}], " ", "*)"}]], "Input",\

 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{
  RowBox[{"\[CapitalGamma]", "=", 
   RowBox[{"FullSimplify", "[", "\[CapitalGamma]", "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.426232729469757*^9, 3.426232735540435*^9}}],

Cell[BoxData[
 RowBox[{"Do", "[", "\n", "\t", 
  RowBox[{
   RowBox[{"R4", "=", 
    RowBox[{"ST", "[", 
     RowBox[{"R4", ",", "\n", "\t\t\t", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}], ",", 
      "\n", "\t", "\n", "\t\t\t", 
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"GT", "[", 
          RowBox[{"\[CapitalGamma]", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}]}],
           "]"}], ",", 
         RowBox[{"ind", "[", 
          RowBox[{"[", "i2", "]"}], "]"}]}], "]"}], "-", 
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"GT", "[", 
          RowBox[{"\[CapitalGamma]", ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"ind", "[", 
                RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], "}"}]}],
           "]"}], ",", 
         RowBox[{"ind", "[", 
          RowBox[{"[", "i1", "]"}], "]"}]}], "]"}], "+", "\n", "\t\t\t", 
       RowBox[{"Sum", "[", 
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"GT", "[", 
            RowBox[{"\[CapitalGamma]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}]}], 
              "}"}]}], "]"}], 
           RowBox[{"GT", "[", 
            RowBox[{"\[CapitalGamma]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], 
              "}"}]}], "]"}]}], "-", 
          RowBox[{
           RowBox[{"GT", "[", 
            RowBox[{"\[CapitalGamma]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i3", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}]}], 
              "}"}]}], "]"}], 
           RowBox[{"GT", "[", 
            RowBox[{"\[CapitalGamma]", ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"ind", "[", 
                  RowBox[{"[", "i4", "]"}], "]"}], ",", "u"}], "}"}]}], 
              "}"}]}], "]"}]}]}], ",", 
         RowBox[{"{", 
          RowBox[{"ss1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}]}], "\n", 
     "\t\t", "\n", "\t\t", "]"}]}], "\n", "\t\t", ",", "\n", "\t", 
   RowBox[{"{", 
    RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i3", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i4", ",", "1", ",", "Nind"}], "}"}]}], "]"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "R4", "]"}], " ", "*)"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"R2", "=", 
    RowBox[{"ST", "[", 
     RowBox[{"R2", ",", "\n", "\t\t\t", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}], ",", 
      "\n", "\t\t\t", 
      RowBox[{"Sum", "[", 
       RowBox[{
        RowBox[{"GT", "[", 
         RowBox[{"R4", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}]}],
          "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"ss1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], "\n", 
     "\t\t", "]"}]}], "\n", "\t", ",", 
   RowBox[{"{", 
    RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}]}], "]"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "R2", "]"}], " ", "*)"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Ricci", "=", 
   RowBox[{"Sum", "[", 
    RowBox[{
     RowBox[{"GT", "[", 
      RowBox[{"R2", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ind", "[", 
            RowBox[{"[", "ss1", "]"}], "]"}], ",", "u"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"ind", "[", 
            RowBox[{"[", "ss1", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}]}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"ss1", ",", "1", ",", "Nind"}], "}"}]}], "]"}]}], 
  ";"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"G2", "=", 
    RowBox[{"ST", "[", 
     RowBox[{"G2", ",", "\n", "\t\t\t", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"ind", "[", 
           RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}], ",", 
      "\n", "\t\t\t", 
      RowBox[{
       RowBox[{"GT", "[", 
        RowBox[{"R2", ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"ind", "[", 
              RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}]}], 
        "]"}], "-", 
       RowBox[{
        FractionBox["1", "2"], 
        RowBox[{"GT", "[", 
         RowBox[{"G", ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "i1", "]"}], "]"}], ",", "d"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"ind", "[", 
               RowBox[{"[", "i2", "]"}], "]"}], ",", "d"}], "}"}]}], "}"}]}], 
         "]"}], "Ricci"}]}]}], "]"}]}], "\n", "\t", ",", 
   RowBox[{"{", 
    RowBox[{"i1", ",", "1", ",", "Nind"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"i2", ",", "1", ",", "Nind"}], "}"}]}], "]"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "G2", "]"}], " ", "*)"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"FullSimplify", "[", "Ricci", "]"}], " ", "*)"}]], "Input",
 Editable->False,
 CellTags->"calcgeom"]
}, Closed]],

Cell[CellGroupData[{

Cell["Einstein equations", "Subsubtitle"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"R2", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "+", 
   RowBox[{"4", " ", "\[CapitalLambda]", " ", "Gd"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.571389331657092*^9, 3.571389356293301*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.571389332162381*^9, 3.5713893847368097`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Coefficient", "[", 
      RowBox[{"met", ",", 
       RowBox[{
        RowBox[{"Dt", "[", "t", "]"}], "^", "2"}]}], "]"}], "\[Equal]", "0"}],
     ",", "r"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5713894449118853`*^9, 3.5713894640788603`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"r", "\[Rule]", 
     RowBox[{"-", 
      FractionBox[
       SqrtBox[
        RowBox[{"-", 
         FractionBox[
          RowBox[{"1", "+", 
           SqrtBox[
            RowBox[{"1", "+", 
             RowBox[{"4", " ", "M", " ", "\[CapitalLambda]"}]}]]}], 
          "\[CapitalLambda]"]}]], 
       SqrtBox["2"]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", "\[Rule]", 
     FractionBox[
      SqrtBox[
       RowBox[{"-", 
        FractionBox[
         RowBox[{"1", "+", 
          SqrtBox[
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "M", " ", "\[CapitalLambda]"}]}]]}], 
         "\[CapitalLambda]"]}]], 
      SqrtBox["2"]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", "\[Rule]", 
     RowBox[{"-", 
      FractionBox[
       SqrtBox[
        FractionBox[
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SqrtBox[
           RowBox[{"1", "+", 
            RowBox[{"4", " ", "M", " ", "\[CapitalLambda]"}]}]]}], 
         "\[CapitalLambda]"]], 
       SqrtBox["2"]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"r", "\[Rule]", 
     FractionBox[
      SqrtBox[
       FractionBox[
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SqrtBox[
          RowBox[{"1", "+", 
           RowBox[{"4", " ", "M", " ", "\[CapitalLambda]"}]}]]}], 
        "\[CapitalLambda]"]], 
      SqrtBox["2"]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.571389450470519*^9, 3.5713894645518007`*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"rp", "=", 
    SqrtBox[
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       SqrtBox[
        RowBox[{"1", "+", 
         RowBox[{"4", " ", "M", " ", "\[CapitalLambda]"}]}]]}], 
      RowBox[{"2", "\[CapitalLambda]"}]]]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rm", "=", 
   SqrtBox[
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      SqrtBox[
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "M", " ", "\[CapitalLambda]"}]}]]}], 
     RowBox[{"2", "\[CapitalLambda]"}]]]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5713894793380213`*^9, 3.571389513654928*^9}, {
  3.5713895446376143`*^9, 3.571389550310466*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Coefficient", "[", 
     RowBox[{"met", ",", 
      RowBox[{
       RowBox[{"Dt", "[", "t", "]"}], "^", "2"}]}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"r", "\[Rule]", "rp"}], "}"}]}], "]"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"Coefficient", "[", 
    RowBox[{"met", ",", 
     RowBox[{
      RowBox[{"Dt", "[", "t", "]"}], "^", "2"}]}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{"r", "\[Rule]", "rm"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.571389520623665*^9, 3.571389538547226*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.571389523096855*^9, 3.571389551594483*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.571389523096855*^9, 3.5713895515961514`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"met", "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{
     RowBox[{"Dt", "[", "a1", "]"}], "\[Rule]", "0"}], ",", 
    RowBox[{
     RowBox[{"Dt", "[", "a2", "]"}], "\[Rule]", "0"}], ",", 
    RowBox[{
     RowBox[{"Dt", "[", "a3", "]"}], "\[Rule]", "0"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.5713893889281273`*^9, 3.571389423171788*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   SuperscriptBox[
    RowBox[{"Dt", "[", "r", "]"}], "2"], 
   RowBox[{"1", "-", 
    FractionBox["M", 
     SuperscriptBox["r", "2"]], "+", 
    RowBox[{
     SuperscriptBox["r", "2"], " ", "\[CapitalLambda]"}]}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     FractionBox["M", 
      SuperscriptBox["r", "2"]], "-", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", "\[CapitalLambda]"}]}], ")"}], " ", 
   SuperscriptBox[
    RowBox[{"Dt", "[", "t", "]"}], "2"]}]}]], "Output",
 CellChangeTimes->{{3.5713893894961777`*^9, 3.57138942370431*^9}, 
   3.571389554134239*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sp", "=", 
  RowBox[{"rp", "^", "3"}]}]], "Input",
 CellChangeTimes->{{3.571389564187121*^9, 3.571389585233202*^9}, 
   3.571389844627825*^9}],

Cell[BoxData[
 FractionBox[
  SuperscriptBox[
   RowBox[{"(", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      SqrtBox[
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "M", " ", "\[CapitalLambda]"}]}]]}], 
     "\[CapitalLambda]"], ")"}], 
   RowBox[{"3", "/", "2"}]], 
  RowBox[{"2", " ", 
   SqrtBox["2"]}]]], "Output",
 CellChangeTimes->{{3.571389575659289*^9, 3.5713895879938717`*^9}, 
   3.571389845183621*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"T", "==", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"1", "/", 
       RowBox[{"D", "[", 
        RowBox[{"Sp", ",", "M"}], "]"}]}], "]"}]}], ",", "M"}], "]"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.571389590503577*^9, 3.571389672215517*^9}, 
   3.571389847701827*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"M", "\[Rule]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "81"}], " ", 
         SuperscriptBox["T", "4"]}], "+", 
        RowBox[{"144", " ", 
         SuperscriptBox["T", "2"], " ", "\[CapitalLambda]"}], "+", 
        RowBox[{"128", " ", 
         SuperscriptBox["\[CapitalLambda]", "2"]}], "+", 
        RowBox[{"27", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"9", " ", 
            SuperscriptBox["T", "8"]}], "-", 
           RowBox[{"32", " ", 
            SuperscriptBox["T", "6"], " ", "\[CapitalLambda]"}]}]]}]}], 
       RowBox[{"512", " ", 
        SuperscriptBox["\[CapitalLambda]", "3"]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"M", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"81", " ", 
        SuperscriptBox["T", "4"]}], "-", 
       RowBox[{"144", " ", 
        SuperscriptBox["T", "2"], " ", "\[CapitalLambda]"}], "-", 
       RowBox[{"128", " ", 
        SuperscriptBox["\[CapitalLambda]", "2"]}], "+", 
       RowBox[{"27", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"9", " ", 
           SuperscriptBox["T", "8"]}], "-", 
          RowBox[{"32", " ", 
           SuperscriptBox["T", "6"], " ", "\[CapitalLambda]"}]}]]}]}], 
      RowBox[{"512", " ", 
       SuperscriptBox["\[CapitalLambda]", "3"]}]]}], "}"}]}], "}"}]], "Output",\

 CellChangeTimes->{{3.57138960574531*^9, 3.571389672965269*^9}, 
   3.5713898481529503`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sm", "=", 
  RowBox[{"rm", "^", "3"}]}]], "Input",
 CellChangeTimes->{{3.571389564187121*^9, 3.571389585233202*^9}, {
  3.571389844627825*^9, 3.571389861583652*^9}}],

Cell[BoxData[
 FractionBox[
  SuperscriptBox[
   RowBox[{"(", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "-", 
      SqrtBox[
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "M", " ", "\[CapitalLambda]"}]}]]}], 
     "\[CapitalLambda]"], ")"}], 
   RowBox[{"3", "/", "2"}]], 
  RowBox[{"2", " ", 
   SqrtBox["2"]}]]], "Output",
 CellChangeTimes->{{3.571389575659289*^9, 3.5713895879938717`*^9}, {
  3.571389845183621*^9, 3.5713898621448717`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solM", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{"T", "==", 
      RowBox[{"FullSimplify", "[", 
       RowBox[{"1", "/", 
        RowBox[{"D", "[", 
         RowBox[{"Sm", ",", "M"}], "]"}]}], "]"}]}], ",", "M"}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.571389590503577*^9, 3.571389672215517*^9}, {
  3.571389847701827*^9, 3.571389870225568*^9}, {3.571398250703843*^9, 
  3.5713982521090717`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"M", "\[Rule]", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{
         RowBox[{"-", "81"}], " ", 
         SuperscriptBox["T", "4"]}], "+", 
        RowBox[{"144", " ", 
         SuperscriptBox["T", "2"], " ", "\[CapitalLambda]"}], "+", 
        RowBox[{"128", " ", 
         SuperscriptBox["\[CapitalLambda]", "2"]}], "+", 
        RowBox[{"27", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"9", " ", 
            SuperscriptBox["T", "8"]}], "-", 
           RowBox[{"32", " ", 
            SuperscriptBox["T", "6"], " ", "\[CapitalLambda]"}]}]]}]}], 
       RowBox[{"512", " ", 
        SuperscriptBox["\[CapitalLambda]", "3"]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"M", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"81", " ", 
        SuperscriptBox["T", "4"]}], "-", 
       RowBox[{"144", " ", 
        SuperscriptBox["T", "2"], " ", "\[CapitalLambda]"}], "-", 
       RowBox[{"128", " ", 
        SuperscriptBox["\[CapitalLambda]", "2"]}], "+", 
       RowBox[{"27", " ", 
        SqrtBox[
         RowBox[{
          RowBox[{"9", " ", 
           SuperscriptBox["T", "8"]}], "-", 
          RowBox[{"32", " ", 
           SuperscriptBox["T", "6"], " ", "\[CapitalLambda]"}]}]]}]}], 
      RowBox[{"512", " ", 
       SuperscriptBox["\[CapitalLambda]", "3"]}]]}], "}"}]}], "}"}]], "Output",\

 CellChangeTimes->{{3.57138960574531*^9, 3.571389672965269*^9}, {
   3.5713898481529503`*^9, 3.571389870915371*^9}, 3.5713982526610203`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"N", "[", 
  RowBox[{
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"9", " ", 
       SuperscriptBox["T", "2"]}], "==", 
      RowBox[{"32", " ", "\[CapitalLambda]"}]}], ",", "T"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{"\[CapitalLambda]", "\[Rule]", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.571398448680167*^9, 3.571398471580659*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"T", "\[Rule]", 
     RowBox[{"-", "1.8856180831641267`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"T", "\[Rule]", "1.8856180831641267`"}], "}"}]}], "}"}]], "Output",\

 CellChangeTimes->{{3.5713984528466682`*^9, 3.571398471979981*^9}}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"plt1", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"M", "/.", 
        RowBox[{"solM", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"{", 
        RowBox[{"\[CapitalLambda]", "\[Rule]", "1"}], "}"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"T", ",", "1.8", ",", "2.3"}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"plt2", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"M", "/.", 
       RowBox[{"solM", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{"\[CapitalLambda]", "\[Rule]", "1"}], "}"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"T", ",", "1.8", ",", "2.3"}], "}"}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Hue", "[", "0", "]"}], "}"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "All"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5713982540974417`*^9, 3.571398277403254*^9}, {
  3.571398402996765*^9, 3.571398405133037*^9}, {3.5713984352055883`*^9, 
  3.571398436693726*^9}, {3.5713984813915033`*^9, 3.571398528785923*^9}, {
  3.571399035262608*^9, 3.571399044896728*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"plt1", ",", "plt2", ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<T\>\"", ",", "\"\<M\>\""}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.571398506387785*^9, 3.571398557616137*^9}}],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    {Hue[0.67, 0.6, 0.6], LineBox[CompressedData["
1:eJwV03k8ldkbAPD33pqSoSQqS0ZIRELGFOo5kdZfkW24VLKN5BOVfjEoWSZp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      "]]}}, {{}, {}, 
    {Hue[0], LineBox[CompressedData["
1:eJwVz3s0lHkYB/D3fV0iQtNrK00l4+imYprK/XlKV5tNQkYzNUsK25a0LUol
ovvdKipCF5Jb2kqpREk4hEoyHNpMjLsNEb/Zd/94zvd8zveP73lmeO9y9WUo
itrM3f/p0xJcFTGXAJOX3PfGtBXyLRdT9Zw9cp4x0qRWSJ+80H2/OYHlF492
F+i2QTxtcWfKPALRfMmVh+I2ON5mrnrCOVYQuzwsrg1Cqma7SeYTGHDea+hd
1Qbb88zSRjifmvNBolBTgkeSgFxdQECzTA0DhUpYcdx4g70FZ7lpRbNUCaLd
U1MbOAsvWjm8i1YCb+lE12lCAlsbMmreVyuhomnsrUQRAfXsJEbbqx2eloz5
AYsImPeKXG1C2+FutrpLE+ewhkLrvy61w4lwMmS8hEDm+gQpr7odVhn3OSdb
E6CadHT+hg5YrNWdvMyGgM3l8vj34g4w62kf/Mw54WvZSOSeDlAvaEkS2BHw
U6aev3mzAwq21PXfcCAQUTfyLU6jE6wSC67ddiRwrNTcsPlhJ3QMY6j7cgKu
jgG3FRWdkOTxwk1tBdd/ccnLaumEsXqFOltWEtj8Ro0Xy+sCeVhR6E9rCBTL
n2/p9u+CcK9i96hfCCieNga6GXRDiWH5OB8xAa0LOksMTHrA81TtgWm7CEQe
i8lXLOqF+CGqvIBzf06g3iH7XqjfNsfIJ5DAYe3PBrwVvbB56YEHt3cTyAk/
EzrLrRe2Dph0W/xBQP9gApkU1Au7ZTtljqEEJt/PTZiU0QsnRBqOfpEE9g3x
RWR6HzyRC7XuXSJgeE6jrvtHH7CG2dahz7l9Iy9Nj/PfoMxhrG6yksCYE/ZT
Ei0H4GVZ6rGvPBXkqRW0G6UNwhQn01tnHFQwGF4qKVoyBH7ZLwL8/VWgmmG8
ctXjYRgMTamTnVdBu0BiddF4BL6IvNvy8lXwOyUxDrsxChM2+KYsaFFBivqH
RG19FbjkmByK1KIwZPB53f21FPIyBJT2NApXLrCwCdGnce+nlR/4QgoT5sim
Hyym8Wj4x7DmVRQ+rm01ST7DoI3nqRCRhMK9Hwqq1/6shq2CqlUzAinMPP5U
c6qmOq7wO/L1WRSF3x/JLZkadXRsFMuVcRR2nS9KD4zRwJ7ya0mvsyiUz459
neKniZezgmwcXlHok8DPS7cdg81F/rMc6yjskKWhupoW1rlUKr53UfivX72O
dqMWBulvHLZTo9F0u8Ej2wxt1Czc1Ww0kUYL7ycbVfvG4prOgctp5jTmH7kw
uE6qg/Ocrt8sRhqFYSVSn4W6WDD9UUSMB42ykJCRB9PG4Tezvvs9ATTaWc+j
YkbHocDk6WPFQRqzJstc9Or1kI4dOHc6hsadQcMBORX6GG7rml+YSuN0ceLE
O14GmCnmP0p9RmO5/W7hzjoDrP0t+OisdzR6bI+/m79xPCZlfUtf3EpjqdeO
BfaV49FoR9P1/lEaU+jEP++68lDk1aVcxmNwDb/vpFklD9fYndaaY8ZglMaV
XLnTBBx3KX7ghS2DMlHJldHqCRgkKLVuXcfg4/ze4HcbWNQzChYuc2HQMsGk
eKIHi2kGpnOvcm4IyF6yyZPFptEDfJf1DBZJlUc+S1hc99FS9dCVwbxS3ZI+
XxbNT8e9POrO4MX99/smh7CoGPBbN3MTg0OL3yoirrIY0Wm4+jBnoaPTjdIE
Fqd+KcR6zmVl0iheEotuVXzhWQmD2xs97yXfZLEo/S07KGWQfKx5+DKTxesy
q0/FMgbdxZFB+i9YtNvYUm38K4NS/+AAcRGLtc4XyvZxNuULolNecf/YduTP
92bwRk/qLKtSFsMMryfG+jB4liQb+dSwOEnX+XIP59yKYxaZ71nMZYbPOW1l
8OTaRQFDtSwquzdEEM6e79tWn5OzGK2g9nv6MqiV3N9Z38iiSUPGnnucOxMr
H8xsZvFZjdcO3W0MpmWFpuz5h0Vx6RjfbZwrc/pzn7ew+B84ybJN
      "]]}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{
    FormBox["\"T\"", TraditionalForm], 
    FormBox["\"M\"", TraditionalForm]},
  AxesOrigin->{1.9000000000000001`, 0.16},
  PlotRange->All,
  PlotRangeClipping->True,
  PlotRangePadding->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.571398509882104*^9, 3.571398558697945*^9}, 
   3.571399046063785*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"M", " ", 
    SuperscriptBox["\[CapitalLambda]", "3"]}], "/.", 
   RowBox[{"solM", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{3.571398685505842*^9, 3.571399382364964*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "512"], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"81", " ", 
     SuperscriptBox["T", "4"]}], "-", 
    RowBox[{"144", " ", 
     SuperscriptBox["T", "2"], " ", "\[CapitalLambda]"}], "-", 
    RowBox[{"128", " ", 
     SuperscriptBox["\[CapitalLambda]", "2"]}], "+", 
    RowBox[{"27", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"9", " ", 
        SuperscriptBox["T", "8"]}], "-", 
       RowBox[{"32", " ", 
        SuperscriptBox["T", "6"], " ", "\[CapitalLambda]"}]}]]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{3.571398686120026*^9, 3.5713993832109003`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"PowerExpand", "[", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"M", " ", 
       SuperscriptBox["\[CapitalLambda]", "3"]}], "/.", 
      RowBox[{"solM", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{"\[CapitalLambda]", "\[Rule]", 
       RowBox[{
        RowBox[{"x", "^", "2"}], " ", 
        RowBox[{"T", "^", "2"}]}]}], "}"}]}], "]"}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.57139859251305*^9, 3.5713986549663763`*^9}, {
  3.571399070382328*^9, 3.571399141148561*^9}, {3.571399180658206*^9, 
  3.57139918393876*^9}, {3.57139938647841*^9, 3.5713994378041058`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "512"], " ", 
  SuperscriptBox["T", "4"], " ", 
  RowBox[{"(", 
   RowBox[{"81", "-", 
    RowBox[{"144", " ", 
     SuperscriptBox["x", "2"]}], "-", 
    RowBox[{"128", " ", 
     SuperscriptBox["x", "4"]}], "+", 
    RowBox[{"27", " ", "\[ImaginaryI]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"-", "9"}], "+", 
       RowBox[{"32", " ", 
        SuperscriptBox["x", "2"]}]}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{{3.571398588887271*^9, 3.571398655505246*^9}, {
   3.571399087344865*^9, 3.571399108754397*^9}, 3.57139914309827*^9, {
   3.571399181151251*^9, 3.571399184471835*^9}, {3.571399389701293*^9, 
   3.571399438202354*^9}}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{740, 848},
WindowMargins->{{4, Automatic}, {Automatic, 4}},
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "calcgeom"->{
  Cell[38180, 1057, 308, 10, 73, "Input",
   CellTags->"calcgeom"],
  Cell[38491, 1069, 293, 10, 73, "Input",
   CellTags->"calcgeom"],
  Cell[38787, 1081, 264, 9, 58, "Input",
   CellTags->"calcgeom"],
  Cell[39054, 1092, 264, 9, 58, "Input",
   CellTags->"calcgeom"],
  Cell[39321, 1103, 3569, 101, 152, "Input",
   CellTags->"calcgeom"],
  Cell[42893, 1206, 157, 5, 27, "Input",
   CellTags->"calcgeom"],
  Cell[43257, 1219, 5599, 153, 178, "Input",
   CellTags->"calcgeom"],
  Cell[48859, 1374, 142, 4, 27, "Input",
   CellTags->"calcgeom"],
  Cell[49004, 1380, 1615, 48, 88, "Input",
   CellTags->"calcgeom"],
  Cell[50622, 1430, 142, 4, 27, "Input",
   CellTags->"calcgeom"],
  Cell[50767, 1436, 633, 22, 27, "Input",
   CellTags->"calcgeom"],
  Cell[51403, 1460, 1648, 51, 115, "Input",
   CellTags->"calcgeom"],
  Cell[53054, 1513, 142, 4, 27, "Input",
   CellTags->"calcgeom"],
  Cell[53199, 1519, 145, 4, 27, "Input",
   CellTags->"calcgeom"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"calcgeom", 74649, 2162}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 868, 12, 46, "Subtitle"],
Cell[CellGroupData[{
Cell[1472, 38, 68, 1, 27, "Input"],
Cell[1543, 41, 100, 1, 20, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1680, 47, 111, 1, 26, "Subsubtitle"],
Cell[1794, 50, 95, 2, 27, "Input"],
Cell[CellGroupData[{
Cell[1914, 56, 279, 8, 58, "Input"],
Cell[2196, 66, 235, 6, 70, "Output"],
Cell[2434, 74, 635, 17, 70, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3106, 96, 266, 9, 58, "Input"],
Cell[3375, 107, 123, 2, 70, "Output"],
Cell[3501, 111, 121, 2, 70, "Output"]
}, Open  ]],
Cell[3637, 116, 407, 13, 27, "Input"],
Cell[4047, 131, 37, 0, 27, "Input"],
Cell[CellGroupData[{
Cell[4109, 135, 257, 8, 58, "Input"],
Cell[4369, 145, 209, 5, 70, "Output"],
Cell[4581, 152, 119, 2, 70, "Output"]
}, Open  ]],
Cell[4715, 157, 2028, 63, 103, "Input"],
Cell[6746, 222, 26, 0, 27, "Input"],
Cell[6775, 224, 841, 25, 43, "Input"],
Cell[7619, 251, 1026, 31, 58, "Input"],
Cell[8648, 284, 227, 8, 86, "Text"],
Cell[8878, 294, 4015, 95, 238, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[12930, 394, 111, 3, 26, "Subsubtitle"],
Cell[13044, 399, 128, 4, 26, "Text"],
Cell[13175, 405, 6139, 139, 718, "Input"],
Cell[19317, 546, 68, 1, 26, "Text"],
Cell[19388, 549, 3727, 84, 523, "Input"],
Cell[23118, 635, 824, 18, 208, "Input"],
Cell[23945, 655, 4051, 89, 583, "Input"],
Cell[27999, 746, 99, 2, 27, "Input"]
}, Closed]],
Cell[CellGroupData[{
Cell[28135, 753, 34, 0, 26, "Subsubtitle"],
Cell[28172, 755, 517, 13, 58, "Input"],
Cell[28692, 770, 2231, 59, 64, "Input"],
Cell[30926, 831, 1200, 34, 100, "Input"],
Cell[CellGroupData[{
Cell[32151, 869, 130, 2, 27, "Input"],
Cell[32284, 873, 1549, 47, 145, "Output"]
}, Open  ]],
Cell[33848, 923, 931, 13, 27, "Input"],
Cell[CellGroupData[{
Cell[34804, 940, 28, 0, 27, "Input"],
Cell[34835, 942, 1313, 39, 85, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36185, 986, 94, 1, 27, "Input"],
Cell[36282, 989, 1352, 41, 98, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[37671, 1035, 119, 3, 27, "Input"],
Cell[37793, 1040, 303, 9, 30, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[38145, 1055, 32, 0, 26, "Subsubtitle"],
Cell[38180, 1057, 308, 10, 73, "Input",
 CellTags->"calcgeom"],
Cell[38491, 1069, 293, 10, 73, "Input",
 CellTags->"calcgeom"],
Cell[38787, 1081, 264, 9, 58, "Input",
 CellTags->"calcgeom"],
Cell[39054, 1092, 264, 9, 58, "Input",
 CellTags->"calcgeom"],
Cell[39321, 1103, 3569, 101, 152, "Input",
 CellTags->"calcgeom"],
Cell[42893, 1206, 157, 5, 27, "Input",
 CellTags->"calcgeom"],
Cell[43053, 1213, 201, 4, 27, "Input"],
Cell[43257, 1219, 5599, 153, 178, "Input",
 CellTags->"calcgeom"],
Cell[48859, 1374, 142, 4, 27, "Input",
 CellTags->"calcgeom"],
Cell[49004, 1380, 1615, 48, 88, "Input",
 CellTags->"calcgeom"],
Cell[50622, 1430, 142, 4, 27, "Input",
 CellTags->"calcgeom"],
Cell[50767, 1436, 633, 22, 27, "Input",
 CellTags->"calcgeom"],
Cell[51403, 1460, 1648, 51, 115, "Input",
 CellTags->"calcgeom"],
Cell[53054, 1513, 142, 4, 27, "Input",
 CellTags->"calcgeom"],
Cell[53199, 1519, 145, 4, 27, "Input",
 CellTags->"calcgeom"]
}, Closed]],
Cell[CellGroupData[{
Cell[53381, 1528, 41, 0, 26, "Subsubtitle"],
Cell[CellGroupData[{
Cell[53447, 1532, 259, 6, 27, "Input"],
Cell[53709, 1540, 569, 14, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54315, 1559, 357, 10, 27, "Input"],
Cell[54675, 1571, 1519, 53, 74, "Output"]
}, Open  ]],
Cell[56209, 1627, 742, 24, 141, "Input"],
Cell[CellGroupData[{
Cell[56976, 1655, 647, 19, 58, "Input"],
Cell[57626, 1676, 94, 1, 27, "Output"],
Cell[57723, 1679, 96, 1, 27, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57856, 1685, 369, 10, 27, "Input"],
Cell[58228, 1697, 651, 21, 59, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[58916, 1723, 166, 4, 27, "Input"],
Cell[59085, 1729, 440, 15, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[59562, 1749, 374, 11, 27, "Input"],
Cell[59939, 1762, 1529, 45, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61505, 1812, 189, 4, 27, "Input"],
Cell[61697, 1818, 465, 15, 65, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62199, 1838, 482, 13, 27, "Input"],
Cell[62684, 1853, 1577, 45, 108, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64298, 1903, 398, 11, 33, "Input"],
Cell[64699, 1916, 310, 9, 27, "Output"]
}, Open  ]],
Cell[65024, 1928, 1315, 35, 58, "Input"],
Cell[CellGroupData[{
Cell[66364, 1967, 317, 7, 27, "Input"],
Cell[66684, 1976, 5263, 94, 253, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71984, 2075, 275, 7, 33, "Input"],
Cell[72262, 2084, 621, 19, 47, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72920, 2108, 693, 17, 33, "Input"],
Cell[73616, 2127, 692, 19, 47, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
